/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.wsclient.WSClient;
/*     */ import it.businesslogic.ireport.gui.MainFrame;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.io.File;
/*     */ import java.util.List;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.JFileChooser;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.event.DocumentListener;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ public class NewReportUnitDialog extends JDialog
/*     */ {
/*  39 */   private int dialogResult = 2;
/*     */   
/*  41 */   private JServer server = null;
/*  42 */   private String parentFolder = null;
/*     */   
/*  44 */   private ResourceDescriptor newReportUnitDescriptor = null;
/*     */   private JButton jButton1;
/*     */   
/*     */   public NewReportUnitDialog(Frame parent, boolean modal) {
/*  48 */     super(parent, modal);
/*  49 */     initComponents();
/*     */     
/*  51 */     it.businesslogic.ireport.util.Misc.centerFrame(this);
/*  52 */     this.jTextFieldLabel.getDocument().addDocumentListener(new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  54 */         NewReportUnitDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  57 */       public void insertUpdate(DocumentEvent evt) { NewReportUnitDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  60 */         NewReportUnitDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  63 */     });
/*  64 */     this.jTextFieldFile.getDocument().addDocumentListener(new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  66 */         NewReportUnitDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  69 */       public void insertUpdate(DocumentEvent evt) { NewReportUnitDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  72 */         NewReportUnitDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  75 */     });
/*  76 */     this.jTextFieldName.getDocument().addDocumentListener(new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  78 */         NewReportUnitDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  81 */       public void insertUpdate(DocumentEvent evt) { NewReportUnitDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  84 */         NewReportUnitDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  87 */     });
/*  88 */     this.jTextFieldName.requestFocusInWindow();
/*     */   }
/*     */   
/*     */   private JButton jButtonClose;
/*     */   private JButton jButtonSave;
/*     */   
/*  94 */   private void updateSaveButton() { if ((this.jTextFieldLabel.getText().length() > 0) && (this.jTextFieldName.getText().length() > 0) && (this.jComboBoxDatasources.getSelectedItem() != null))
/*     */     {
/*     */ 
/*     */ 
/*  98 */       this.jButtonSave.setEnabled(true);
/*     */     }
/*     */     else
/*     */     {
/* 102 */       this.jButtonSave.setEnabled(false);
/*     */     }
/*     */   }
/*     */   
/*     */   private JComboBox jComboBoxDatasources;
/*     */   private JEditorPane jEditorPaneDescription;
/*     */   private JLabel jLabel1;
/*     */   private JLabel jLabelDescription;
/*     */   private JLabel jLabelLabel;
/*     */   private JLabel jLabelName;
/*     */   private JLabel jLabelResourceFile;
/*     */   
/*     */   private void initComponents() {
/* 115 */     this.jPanel1 = new JPanel();
/* 116 */     this.jLabel1 = new JLabel();
/* 117 */     this.jSeparator1 = new JSeparator();
/* 118 */     this.jPanel2 = new JPanel();
/* 119 */     this.jLabelUriString = new JLabel();
/* 120 */     this.jTextFieldUriString = new JTextField();
/* 121 */     this.jLabelName = new JLabel();
/* 122 */     this.jTextFieldName = new JTextField();
/* 123 */     this.jSeparator2 = new JSeparator();
/* 124 */     this.jLabelLabel = new JLabel();
/* 125 */     this.jTextFieldLabel = new JTextField();
/* 126 */     this.jScrollPane1 = new JScrollPane();
/* 127 */     this.jEditorPaneDescription = new JEditorPane();
/* 128 */     this.jLabelDescription = new JLabel();
/* 129 */     this.jSeparator3 = new JSeparator();
/* 130 */     this.jLabelResourceFile = new JLabel();
/* 131 */     this.jPanel3 = new JPanel();
/* 132 */     this.jTextFieldFile = new JTextField();
/* 133 */     this.jButton1 = new JButton();
/* 134 */     this.jLabelResourceType = new JLabel();
/* 135 */     this.jComboBoxDatasources = new JComboBox();
/* 136 */     this.jSeparator4 = new JSeparator();
/* 137 */     this.jPanel4 = new JPanel();
/* 138 */     this.jButtonSave = new JButton();
/* 139 */     this.jButtonClose = new JButton();
/*     */     
/* 141 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/* 143 */     setDefaultCloseOperation(2);
/* 144 */     setTitle("Report unit");
/* 145 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 147 */     this.jPanel1.setBackground(new java.awt.Color(255, 255, 255));
/* 148 */     this.jLabel1.setFont(new java.awt.Font("Dialog", 1, 12));
/* 149 */     this.jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/com/jaspersoft/jasperserver/irplugin/res/documents_label.png")));
/* 150 */     this.jLabel1.setText("Report unit");
/* 151 */     this.jLabel1.setVerticalAlignment(3);
/* 152 */     this.jLabel1.setVerticalTextPosition(3);
/* 153 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 154 */     gridBagConstraints.fill = 1;
/* 155 */     gridBagConstraints.weightx = 1.0D;
/* 156 */     gridBagConstraints.weighty = 1.0D;
/* 157 */     this.jPanel1.add(this.jLabel1, gridBagConstraints);
/*     */     
/* 159 */     gridBagConstraints = new GridBagConstraints();
/* 160 */     gridBagConstraints.fill = 2;
/* 161 */     getContentPane().add(this.jPanel1, gridBagConstraints);
/*     */     
/* 163 */     this.jSeparator1.setMinimumSize(new Dimension(2, 2));
/* 164 */     this.jSeparator1.setPreferredSize(new Dimension(2, 2));
/* 165 */     gridBagConstraints = new GridBagConstraints();
/* 166 */     gridBagConstraints.gridx = 0;
/* 167 */     gridBagConstraints.fill = 2;
/* 168 */     gridBagConstraints.weightx = 1.0D;
/* 169 */     getContentPane().add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 171 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 173 */     this.jPanel2.setPreferredSize(new Dimension(400, 185));
/* 174 */     this.jLabelUriString.setText("Parent folder");
/* 175 */     gridBagConstraints = new GridBagConstraints();
/* 176 */     gridBagConstraints.gridx = 0;
/* 177 */     gridBagConstraints.fill = 2;
/* 178 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 179 */     this.jPanel2.add(this.jLabelUriString, gridBagConstraints);
/*     */     
/* 181 */     this.jTextFieldUriString.setEditable(false);
/* 182 */     this.jTextFieldUriString.setBorder(javax.swing.BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 183 */     this.jTextFieldUriString.setOpaque(false);
/* 184 */     gridBagConstraints = new GridBagConstraints();
/* 185 */     gridBagConstraints.gridx = 1;
/* 186 */     gridBagConstraints.fill = 2;
/* 187 */     gridBagConstraints.weightx = 1.0D;
/* 188 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 189 */     this.jPanel2.add(this.jTextFieldUriString, gridBagConstraints);
/*     */     
/* 191 */     this.jLabelName.setText("Name");
/* 192 */     gridBagConstraints = new GridBagConstraints();
/* 193 */     gridBagConstraints.gridx = 0;
/* 194 */     gridBagConstraints.fill = 2;
/* 195 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 196 */     this.jPanel2.add(this.jLabelName, gridBagConstraints);
/*     */     
/* 198 */     gridBagConstraints = new GridBagConstraints();
/* 199 */     gridBagConstraints.gridx = 1;
/* 200 */     gridBagConstraints.fill = 2;
/* 201 */     gridBagConstraints.weightx = 1.0D;
/* 202 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 203 */     this.jPanel2.add(this.jTextFieldName, gridBagConstraints);
/*     */     
/* 205 */     this.jSeparator2.setMinimumSize(new Dimension(0, 2));
/* 206 */     gridBagConstraints = new GridBagConstraints();
/* 207 */     gridBagConstraints.gridx = 0;
/* 208 */     gridBagConstraints.gridwidth = 2;
/* 209 */     gridBagConstraints.fill = 2;
/* 210 */     gridBagConstraints.weightx = 1.0D;
/* 211 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 212 */     this.jPanel2.add(this.jSeparator2, gridBagConstraints);
/*     */     
/* 214 */     this.jLabelLabel.setText("Label");
/* 215 */     gridBagConstraints = new GridBagConstraints();
/* 216 */     gridBagConstraints.gridx = 0;
/* 217 */     gridBagConstraints.fill = 2;
/* 218 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 219 */     this.jPanel2.add(this.jLabelLabel, gridBagConstraints);
/*     */     
/* 221 */     gridBagConstraints = new GridBagConstraints();
/* 222 */     gridBagConstraints.gridx = 1;
/* 223 */     gridBagConstraints.fill = 2;
/* 224 */     gridBagConstraints.weightx = 1.0D;
/* 225 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 226 */     this.jPanel2.add(this.jTextFieldLabel, gridBagConstraints);
/*     */     
/* 228 */     this.jScrollPane1.setViewportView(this.jEditorPaneDescription);
/*     */     
/* 230 */     gridBagConstraints = new GridBagConstraints();
/* 231 */     gridBagConstraints.gridx = 1;
/* 232 */     gridBagConstraints.fill = 1;
/* 233 */     gridBagConstraints.weightx = 1.0D;
/* 234 */     gridBagConstraints.weighty = 1.0D;
/* 235 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 236 */     this.jPanel2.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 238 */     this.jLabelDescription.setText("Description");
/* 239 */     gridBagConstraints = new GridBagConstraints();
/* 240 */     gridBagConstraints.gridx = 0;
/* 241 */     gridBagConstraints.fill = 2;
/* 242 */     gridBagConstraints.anchor = 11;
/* 243 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 244 */     this.jPanel2.add(this.jLabelDescription, gridBagConstraints);
/*     */     
/* 246 */     this.jSeparator3.setMinimumSize(new Dimension(0, 2));
/* 247 */     gridBagConstraints = new GridBagConstraints();
/* 248 */     gridBagConstraints.gridx = 0;
/* 249 */     gridBagConstraints.gridwidth = 2;
/* 250 */     gridBagConstraints.fill = 2;
/* 251 */     gridBagConstraints.weightx = 1.0D;
/* 252 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 253 */     this.jPanel2.add(this.jSeparator3, gridBagConstraints);
/*     */     
/* 255 */     this.jLabelResourceFile.setText("Main Jrxml");
/* 256 */     gridBagConstraints = new GridBagConstraints();
/* 257 */     gridBagConstraints.gridx = 0;
/* 258 */     gridBagConstraints.fill = 2;
/* 259 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 260 */     this.jPanel2.add(this.jLabelResourceFile, gridBagConstraints);
/*     */     
/* 262 */     this.jPanel3.setLayout(new GridBagLayout());
/*     */     
/* 264 */     this.jPanel3.setMinimumSize(new Dimension(11, 19));
/* 265 */     this.jPanel3.setPreferredSize(new Dimension(11, 19));
/* 266 */     gridBagConstraints = new GridBagConstraints();
/* 267 */     gridBagConstraints.gridx = 1;
/* 268 */     gridBagConstraints.fill = 2;
/* 269 */     gridBagConstraints.weightx = 1.0D;
/* 270 */     this.jPanel3.add(this.jTextFieldFile, gridBagConstraints);
/*     */     
/* 272 */     this.jButton1.setText("Browse");
/* 273 */     this.jButton1.setMinimumSize(new Dimension(73, 19));
/* 274 */     this.jButton1.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 276 */         NewReportUnitDialog.this.jButton1ActionPerformed1(evt);
/*     */       }
/*     */       
/* 279 */     });
/* 280 */     this.jPanel3.add(this.jButton1, new GridBagConstraints());
/*     */     
/* 282 */     gridBagConstraints = new GridBagConstraints();
/* 283 */     gridBagConstraints.gridx = 1;
/* 284 */     gridBagConstraints.fill = 1;
/* 285 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 286 */     this.jPanel2.add(this.jPanel3, gridBagConstraints);
/*     */     
/* 288 */     this.jLabelResourceType.setText("Datasource");
/* 289 */     gridBagConstraints = new GridBagConstraints();
/* 290 */     gridBagConstraints.gridx = 0;
/* 291 */     gridBagConstraints.fill = 2;
/* 292 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 293 */     this.jPanel2.add(this.jLabelResourceType, gridBagConstraints);
/*     */     
/* 295 */     gridBagConstraints = new GridBagConstraints();
/* 296 */     gridBagConstraints.gridx = 1;
/* 297 */     gridBagConstraints.fill = 2;
/* 298 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 299 */     this.jPanel2.add(this.jComboBoxDatasources, gridBagConstraints);
/*     */     
/* 301 */     this.jSeparator4.setMinimumSize(new Dimension(0, 2));
/* 302 */     gridBagConstraints = new GridBagConstraints();
/* 303 */     gridBagConstraints.gridx = 0;
/* 304 */     gridBagConstraints.gridwidth = 2;
/* 305 */     gridBagConstraints.fill = 2;
/* 306 */     gridBagConstraints.weightx = 1.0D;
/* 307 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 308 */     this.jPanel2.add(this.jSeparator4, gridBagConstraints);
/*     */     
/* 310 */     gridBagConstraints = new GridBagConstraints();
/* 311 */     gridBagConstraints.gridx = 0;
/* 312 */     gridBagConstraints.fill = 1;
/* 313 */     gridBagConstraints.weightx = 1.0D;
/* 314 */     gridBagConstraints.weighty = 1.0D;
/* 315 */     getContentPane().add(this.jPanel2, gridBagConstraints);
/*     */     
/* 317 */     this.jPanel4.setLayout(new GridBagLayout());
/*     */     
/* 319 */     this.jPanel4.setMinimumSize(new Dimension(10, 30));
/* 320 */     this.jPanel4.setPreferredSize(new Dimension(10, 30));
/* 321 */     this.jButtonSave.setText("Create report unit");
/* 322 */     this.jButtonSave.setEnabled(false);
/* 323 */     this.jButtonSave.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 325 */         NewReportUnitDialog.this.jButtonSaveActionPerformed(evt);
/*     */       }
/*     */       
/* 328 */     });
/* 329 */     gridBagConstraints = new GridBagConstraints();
/* 330 */     gridBagConstraints.anchor = 13;
/* 331 */     gridBagConstraints.weightx = 1.0D;
/* 332 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/* 333 */     this.jPanel4.add(this.jButtonSave, gridBagConstraints);
/*     */     
/* 335 */     this.jButtonClose.setText("Cancel");
/* 336 */     this.jButtonClose.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 338 */         NewReportUnitDialog.this.jButtonCloseActionPerformed(evt);
/*     */       }
/*     */       
/* 341 */     });
/* 342 */     this.jPanel4.add(this.jButtonClose, new GridBagConstraints());
/*     */     
/* 344 */     gridBagConstraints = new GridBagConstraints();
/* 345 */     gridBagConstraints.gridx = 0;
/* 346 */     gridBagConstraints.fill = 2;
/* 347 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 348 */     getContentPane().add(this.jPanel4, gridBagConstraints);
/*     */     
/* 350 */     pack();
/*     */   }
/*     */   
/*     */   private void jButtonCloseActionPerformed(ActionEvent evt)
/*     */   {
/* 355 */     setVisible(false);
/* 356 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonSaveActionPerformed(ActionEvent evt)
/*     */   {
/* 362 */     ResourceDescriptor rd = new ResourceDescriptor();
/* 363 */     File resourceFile = null;
/*     */     
/*     */ 
/*     */     try
/*     */     {
/* 368 */       ValidationUtils.validateName(this.jTextFieldName.getText());
/* 369 */       ValidationUtils.validateLabel(this.jTextFieldLabel.getText());
/* 370 */       ValidationUtils.validateDesc(this.jEditorPaneDescription.getText());
/*     */       
/* 372 */       rd.setWsType("reportUnit");
/* 373 */       rd.setDescription(this.jEditorPaneDescription.getText().trim());
/* 374 */       rd.setName(this.jTextFieldName.getText());
/* 375 */       String uri = getParentFolder();
/* 376 */       if (!uri.endsWith("/")) uri = uri + "/";
/* 377 */       uri = uri + this.jTextFieldName.getText();
/* 378 */       rd.setUriString(uri);
/* 379 */       rd.setLabel(this.jTextFieldLabel.getText().trim());
/* 380 */       rd.setParentFolder(getParentFolder());
/* 381 */       rd.setIsNew(true);
/*     */       
/*     */ 
/* 384 */       ResourceDescriptor dataSourceDescriptor = new ResourceDescriptor();
/* 385 */       dataSourceDescriptor.setWsType("datasource");
/* 386 */       dataSourceDescriptor.setUriString(this.jComboBoxDatasources.getSelectedItem() + "");
/*     */       
/* 388 */       rd.getChildren().add(dataSourceDescriptor);
/*     */       
/*     */ 
/* 391 */       ResourceDescriptor jrxmlDescriptor = new ResourceDescriptor();
/* 392 */       jrxmlDescriptor.setWsType("jrxml");
/* 393 */       jrxmlDescriptor.setName(this.jTextFieldName.getText() + "_jrxml");
/* 394 */       jrxmlDescriptor.setLabel("Main jrxml");
/* 395 */       jrxmlDescriptor.setDescription("Main jrxml");
/* 396 */       jrxmlDescriptor.setIsNew(true);
/* 397 */       jrxmlDescriptor.setHasData(true);
/* 398 */       jrxmlDescriptor.setMainReport(true);
/* 399 */       resourceFile = new File(this.jTextFieldFile.getText());
/*     */       
/* 401 */       rd.getChildren().add(jrxmlDescriptor);
/*     */       
/* 403 */       if (!resourceFile.exists()) {
/* 404 */         JOptionPane.showMessageDialog(this, this.jTextFieldFile.getText() + "\n\nFile not found!");
/* 405 */         return;
/*     */       }
/*     */       
/*     */ 
/* 409 */       this.newReportUnitDescriptor = getServer().getWSClient().addOrModifyResource(rd, resourceFile);
/* 410 */       setDialogResult(0);
/* 411 */       setVisible(false);
/* 412 */       dispose();
/*     */     } catch (Exception ex) {
/* 414 */       JOptionPane.showMessageDialog(this, "Error: " + ex.getMessage());
/* 415 */       ex.printStackTrace();
/* 416 */       return;
/*     */     }
/*     */   }
/*     */   
/*     */   private void jButton1ActionPerformed1(ActionEvent evt) {
/* 421 */     String fileName = "";
/* 422 */     JFileChooser jfc = new JFileChooser(MainFrame.getMainInstance().getCurrentDirectory());
/*     */     
/* 424 */     jfc.setDialogTitle("Pick a file....");
/*     */     
/* 426 */     jfc.setFileFilter(new javax.swing.filechooser.FileFilter() {
/*     */       public boolean accept(File file) {
/* 428 */         String filename = file.getName();
/* 429 */         return (filename.toLowerCase().endsWith(".xml")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */       }
/*     */       
/* 432 */       public String getDescription() { return "JasperReports XML *.xml, *.jrxml";
/*     */       }
/*     */ 
/* 435 */     });
/* 436 */     jfc.setMultiSelectionEnabled(false);
/* 437 */     jfc.setDialogType(0);
/* 438 */     if (jfc.showOpenDialog(this) == 0)
/*     */     {
/* 440 */       this.jTextFieldFile.setText(jfc.getSelectedFile() + "");
/* 441 */       updateSaveButton(); } }
/*     */   
/*     */   private JLabel jLabelResourceType;
/*     */   private JLabel jLabelUriString;
/*     */   private JPanel jPanel1;
/*     */   private JPanel jPanel2;
/*     */   private JPanel jPanel3;
/*     */   private JPanel jPanel4;
/* 449 */   public static void main(String[] args) { java.awt.EventQueue.invokeLater(new Runnable() {
/*     */       public void run() {
/* 451 */         new NewReportUnitDialog(new javax.swing.JFrame(), true).setVisible(true);
/*     */       }
/*     */     }); }
/*     */   
/*     */   public int getDialogResult()
/*     */   {
/* 457 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */ 
/* 461 */   public void setDialogResult(int dialogResult) { this.dialogResult = dialogResult; }
/*     */   
/*     */   private JScrollPane jScrollPane1;
/*     */   private JSeparator jSeparator1;
/*     */   private JSeparator jSeparator2;
/*     */   private JSeparator jSeparator3;
/*     */   
/*     */   public void setDatasources(List datasources) {
/* 469 */     this.jComboBoxDatasources.removeAllItems();
/* 470 */     for (int i = 0; i < datasources.size(); i++)
/*     */     {
/* 472 */       Object datasource = datasources.get(i);
/* 473 */       if ((datasource instanceof String))
/*     */       {
/* 475 */         this.jComboBoxDatasources.addItem(datasource);
/*     */       }
/* 477 */       else if ((datasource instanceof ResourceDescriptor))
/*     */       {
/* 479 */         this.jComboBoxDatasources.addItem(((ResourceDescriptor)datasource).getUriString());
/*     */       }
/*     */     }
/*     */     
/* 483 */     if (this.jComboBoxDatasources.getItemCount() > 0)
/*     */     {
/* 485 */       this.jComboBoxDatasources.setSelectedIndex(0); } }
/*     */   
/*     */   private JSeparator jSeparator4;
/*     */   private JTextField jTextFieldFile;
/*     */   
/* 490 */   public JServer getServer() { return this.server; }
/*     */   
/*     */   private JTextField jTextFieldLabel;
/*     */   
/* 494 */   public void setServer(JServer server) { this.server = server; }
/*     */   
/*     */   private JTextField jTextFieldName;
/*     */   private JTextField jTextFieldUriString;
/* 498 */   public String getParentFolder() { return this.parentFolder; }
/*     */   
/*     */ 
/*     */   public void setParentFolder(String parentFolder) {
/* 502 */     this.parentFolder = parentFolder;
/* 503 */     this.jTextFieldUriString.setText(parentFolder);
/*     */   }
/*     */   
/*     */   public ResourceDescriptor getNewReportUnitDescriptor() {
/* 507 */     return this.newReportUnitDescriptor;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\NewReportUnitDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */