/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryFile;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryFolder;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryJrxmlFile;
/*     */ import it.businesslogic.ireport.ImageReportElement;
/*     */ import it.businesslogic.ireport.gui.JReportFrame;
/*     */ import it.businesslogic.ireport.gui.MainFrame;
/*     */ import it.businesslogic.ireport.util.Misc;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Image;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.event.WindowEvent;
/*     */ import java.io.File;
/*     */ import java.io.FileInputStream;
/*     */ import java.io.FileOutputStream;
/*     */ import java.util.Enumeration;
/*     */ import java.util.List;
/*     */ import java.util.Vector;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ImageIcon;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.JFileChooser;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JTabbedPane;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.event.ChangeEvent;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.filechooser.FileFilter;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ public class ObjectPropertiesDialog extends JDialog
/*     */ {
/*     */   private RepositoryFolder resource;
/*  52 */   private int dialogResult = 2;
/*  53 */   private AntialiasedEditorPane jEditorPane1 = null;
/*     */   private JButton jButton1;
/*     */   
/*     */   public ObjectPropertiesDialog(java.awt.Frame parent, boolean modal) {
/*  57 */     super(parent, modal);
/*  58 */     initComponents();
/*     */     
/*  60 */     Misc.centerFrame(this);
/*  61 */     this.jTextFieldLabel.getDocument().addDocumentListener(new javax.swing.event.DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  63 */         ObjectPropertiesDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  66 */       public void insertUpdate(DocumentEvent evt) { ObjectPropertiesDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  69 */         ObjectPropertiesDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  72 */     });
/*  73 */     this.jEditorPaneDescription.getDocument().addDocumentListener(new javax.swing.event.DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  75 */         ObjectPropertiesDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  78 */       public void insertUpdate(DocumentEvent evt) { ObjectPropertiesDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  81 */         ObjectPropertiesDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*     */ 
/*  85 */     });
/*  86 */     this.jEditorPane1 = new AntialiasedEditorPane();
/*  87 */     this.jEditorPane1.setContentType("text/html");
/*  88 */     this.jEditorPane1.setVisible(false);
/*  89 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/*  90 */     gridBagConstraints.gridx = 0;
/*  91 */     gridBagConstraints.gridy = 0;
/*  92 */     gridBagConstraints.gridwidth = 2;
/*  93 */     gridBagConstraints.fill = 1;
/*  94 */     gridBagConstraints.weightx = 1.0D;
/*  95 */     gridBagConstraints.weighty = 1.0D;
/*  96 */     gridBagConstraints.insets = new Insets(8, 8, 8, 8);
/*  97 */     this.jPanelResourceFile.add(this.jEditorPane1, gridBagConstraints);
/*  98 */     this.jEditorPane1.setEditable(false);
/*     */     
/* 100 */     applyI18n();
/* 101 */     this.jPanelSpacer.setVisible(false);
/*     */   }
/*     */   
/*     */   private JButton jButton2;
/*     */   private JButton jButtonClose;
/*     */   
/* 107 */   public void applyI18n() { this.jButtonClose.setText(IRPlugin.getString("objectPropertiesDialog.buttonCancel", "Cancel"));
/* 108 */     this.jButtonSave.setText(IRPlugin.getString("objectPropertiesDialog.buttonSave", "Save"));
/*     */     
/* 110 */     this.jLabelDescription.setText(IRPlugin.getString("objectPropertiesDialog.labelDescription", "Description"));
/* 111 */     this.jLabelLabel.setText(IRPlugin.getString("objectPropertiesDialog.labelLabel", "Label"));
/* 112 */     this.jLabelName.setText(IRPlugin.getString("objectPropertiesDialog.labelName", "Name"));
/* 113 */     this.jLabelUriString.setText(IRPlugin.getString("objectPropertiesDialog.labelParentFolder", "Parent folder"));
/* 114 */     this.jButton1.setText(IRPlugin.getString("objectPropertiesDialog.buttonBrowse", "Browse"));
/* 115 */     this.jButton2.setText(IRPlugin.getString("objectPropertiesDialog.buttonExportFile", "Export file"));
/* 116 */     this.jCheckBoxChangeFile.setText(IRPlugin.getString("objectPropertiesDialog.checkBoxChangeFile", "Replace resource with this file:"));
/* 117 */     this.jTabbedPane1.setTitleAt(0, IRPlugin.getString("objectPropertiesDialog.tabGeneral", "General"));
/* 118 */     this.jTabbedPane1.setTitleAt(1, IRPlugin.getString("objectPropertiesDialog.tabResource", "Resource"));
/* 119 */     this.jTabbedPane1.setTitleAt(2, IRPlugin.getString("objectPropertiesDialog.tabDescriptor", "XML descriptor"));
/*     */   }
/*     */   
/*     */   private JButton jButtonSave;
/*     */   private javax.swing.JCheckBox jCheckBoxChangeFile;
/*     */   private JEditorPane jEditorPaneDescription;
/* 125 */   public void updateSaveButton() { if (this.jTextFieldLabel.getText().length() > 0)
/*     */     {
/* 127 */       this.jButtonSave.setEnabled(true);
/*     */     }
/*     */     else
/*     */     {
/* 131 */       this.jButtonSave.setEnabled(false);
/*     */     }
/*     */   }
/*     */   
/*     */   private JLabel jLabelDescription;
/*     */   private JLabel jLabelLabel;
/*     */   private JLabel jLabelName;
/*     */   private JLabel jLabelPreview;
/*     */   private JLabel jLabelUriString;
/*     */   private JPanel jPanel1;
/*     */   private JPanel jPanel2;
/*     */   private void initComponents() {
/* 143 */     this.jTabbedPane1 = new JTabbedPane();
/* 144 */     this.jPanel1 = new JPanel();
/* 145 */     this.jLabelUriString = new JLabel();
/* 146 */     this.jTextFieldUriString = new JTextField();
/* 147 */     this.jLabelName = new JLabel();
/* 148 */     this.jTextFieldName = new JTextField();
/* 149 */     this.jSeparator1 = new JSeparator();
/* 150 */     this.jLabelLabel = new JLabel();
/* 151 */     this.jTextFieldLabel = new JTextField();
/* 152 */     this.jLabelDescription = new JLabel();
/* 153 */     this.jScrollPane1 = new JScrollPane();
/* 154 */     this.jEditorPaneDescription = new JEditorPane();
/* 155 */     this.jPanelResourceFile = new JPanel();
/* 156 */     this.jLabelPreview = new JLabel();
/* 157 */     this.jSeparator3 = new JSeparator();
/* 158 */     this.jCheckBoxChangeFile = new javax.swing.JCheckBox();
/* 159 */     this.jTextFieldFile = new JTextField();
/* 160 */     this.jButton1 = new JButton();
/* 161 */     this.jSeparator4 = new JSeparator();
/* 162 */     this.jButton2 = new JButton();
/* 163 */     this.jPanelSpacer = new JPanel();
/* 164 */     this.jPanelDescriptor = new JPanel();
/* 165 */     this.jScrollPane2 = new JScrollPane();
/* 166 */     this.jTextPaneDescriptor = new javax.swing.JTextPane();
/* 167 */     this.jPanel2 = new JPanel();
/* 168 */     this.jButtonSave = new JButton();
/* 169 */     this.jButtonClose = new JButton();
/*     */     
/* 171 */     setDefaultCloseOperation(0);
/* 172 */     addWindowListener(new java.awt.event.WindowAdapter() {
/*     */       public void windowClosing(WindowEvent evt) {
/* 174 */         ObjectPropertiesDialog.this.formWindowClosing(evt);
/*     */       }
/* 176 */     });
/* 177 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/* 179 */     this.jPanel1.setPreferredSize(new Dimension(350, 250));
/* 180 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 182 */     this.jLabelUriString.setText("Location (URI)");
/* 183 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 184 */     gridBagConstraints.gridx = 0;
/* 185 */     gridBagConstraints.fill = 2;
/* 186 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 187 */     this.jPanel1.add(this.jLabelUriString, gridBagConstraints);
/*     */     
/* 189 */     this.jTextFieldUriString.setEditable(false);
/* 190 */     this.jTextFieldUriString.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 191 */     this.jTextFieldUriString.setOpaque(false);
/* 192 */     gridBagConstraints = new GridBagConstraints();
/* 193 */     gridBagConstraints.gridx = 1;
/* 194 */     gridBagConstraints.fill = 2;
/* 195 */     gridBagConstraints.weightx = 1.0D;
/* 196 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 197 */     this.jPanel1.add(this.jTextFieldUriString, gridBagConstraints);
/*     */     
/* 199 */     this.jLabelName.setText("Name");
/* 200 */     gridBagConstraints = new GridBagConstraints();
/* 201 */     gridBagConstraints.gridx = 0;
/* 202 */     gridBagConstraints.fill = 2;
/* 203 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 204 */     this.jPanel1.add(this.jLabelName, gridBagConstraints);
/*     */     
/* 206 */     this.jTextFieldName.setEditable(false);
/* 207 */     this.jTextFieldName.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 208 */     this.jTextFieldName.setOpaque(false);
/* 209 */     gridBagConstraints = new GridBagConstraints();
/* 210 */     gridBagConstraints.gridx = 1;
/* 211 */     gridBagConstraints.fill = 2;
/* 212 */     gridBagConstraints.weightx = 1.0D;
/* 213 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 214 */     this.jPanel1.add(this.jTextFieldName, gridBagConstraints);
/*     */     
/* 216 */     this.jSeparator1.setMinimumSize(new Dimension(0, 2));
/* 217 */     gridBagConstraints = new GridBagConstraints();
/* 218 */     gridBagConstraints.gridx = 0;
/* 219 */     gridBagConstraints.gridwidth = 2;
/* 220 */     gridBagConstraints.fill = 2;
/* 221 */     gridBagConstraints.weightx = 1.0D;
/* 222 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 223 */     this.jPanel1.add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 225 */     this.jLabelLabel.setText("Label");
/* 226 */     gridBagConstraints = new GridBagConstraints();
/* 227 */     gridBagConstraints.gridx = 0;
/* 228 */     gridBagConstraints.fill = 2;
/* 229 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 230 */     this.jPanel1.add(this.jLabelLabel, gridBagConstraints);
/* 231 */     gridBagConstraints = new GridBagConstraints();
/* 232 */     gridBagConstraints.gridx = 1;
/* 233 */     gridBagConstraints.fill = 2;
/* 234 */     gridBagConstraints.weightx = 1.0D;
/* 235 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 236 */     this.jPanel1.add(this.jTextFieldLabel, gridBagConstraints);
/*     */     
/* 238 */     this.jLabelDescription.setText("Description");
/* 239 */     gridBagConstraints = new GridBagConstraints();
/* 240 */     gridBagConstraints.gridx = 0;
/* 241 */     gridBagConstraints.fill = 2;
/* 242 */     gridBagConstraints.anchor = 11;
/* 243 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 244 */     this.jPanel1.add(this.jLabelDescription, gridBagConstraints);
/*     */     
/* 246 */     this.jScrollPane1.setViewportView(this.jEditorPaneDescription);
/*     */     
/* 248 */     gridBagConstraints = new GridBagConstraints();
/* 249 */     gridBagConstraints.gridx = 1;
/* 250 */     gridBagConstraints.fill = 1;
/* 251 */     gridBagConstraints.weightx = 1.0D;
/* 252 */     gridBagConstraints.weighty = 1.0D;
/* 253 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 254 */     this.jPanel1.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 256 */     this.jTabbedPane1.addTab("General", this.jPanel1);
/*     */     
/* 258 */     this.jPanelResourceFile.setLayout(new GridBagLayout());
/*     */     
/* 260 */     this.jLabelPreview.setHorizontalAlignment(0);
/* 261 */     this.jLabelPreview.setText("  ");
/* 262 */     this.jLabelPreview.setVerticalAlignment(3);
/* 263 */     this.jLabelPreview.setHorizontalTextPosition(0);
/* 264 */     this.jLabelPreview.setVerticalTextPosition(3);
/* 265 */     gridBagConstraints = new GridBagConstraints();
/* 266 */     gridBagConstraints.gridx = 0;
/* 267 */     gridBagConstraints.gridy = 0;
/* 268 */     gridBagConstraints.gridwidth = 3;
/* 269 */     gridBagConstraints.fill = 1;
/* 270 */     gridBagConstraints.weightx = 1.0D;
/* 271 */     gridBagConstraints.weighty = 1.0D;
/* 272 */     gridBagConstraints.insets = new Insets(8, 8, 8, 8);
/* 273 */     this.jPanelResourceFile.add(this.jLabelPreview, gridBagConstraints);
/*     */     
/* 275 */     this.jSeparator3.setMinimumSize(new Dimension(0, 2));
/* 276 */     gridBagConstraints = new GridBagConstraints();
/* 277 */     gridBagConstraints.gridx = 0;
/* 278 */     gridBagConstraints.gridy = 1;
/* 279 */     gridBagConstraints.gridwidth = 3;
/* 280 */     gridBagConstraints.fill = 2;
/* 281 */     gridBagConstraints.anchor = 11;
/* 282 */     gridBagConstraints.weightx = 1.0D;
/* 283 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 284 */     this.jPanelResourceFile.add(this.jSeparator3, gridBagConstraints);
/*     */     
/* 286 */     this.jCheckBoxChangeFile.setText("Replace resource with this file:");
/* 287 */     this.jCheckBoxChangeFile.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 288 */     this.jCheckBoxChangeFile.setMargin(new Insets(0, 0, 0, 0));
/* 289 */     this.jCheckBoxChangeFile.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 291 */         ObjectPropertiesDialog.this.jCheckBoxChangeFileActionPerformed(evt);
/*     */       }
/* 293 */     });
/* 294 */     this.jCheckBoxChangeFile.addChangeListener(new javax.swing.event.ChangeListener() {
/*     */       public void stateChanged(ChangeEvent evt) {
/* 296 */         ObjectPropertiesDialog.this.jCheckBoxChangeFileStateChanged(evt);
/*     */       }
/* 298 */     });
/* 299 */     gridBagConstraints = new GridBagConstraints();
/* 300 */     gridBagConstraints.gridx = 0;
/* 301 */     gridBagConstraints.gridy = 2;
/* 302 */     gridBagConstraints.fill = 2;
/* 303 */     gridBagConstraints.weightx = 1.0D;
/* 304 */     gridBagConstraints.insets = new Insets(8, 4, 0, 0);
/* 305 */     this.jPanelResourceFile.add(this.jCheckBoxChangeFile, gridBagConstraints);
/* 306 */     gridBagConstraints = new GridBagConstraints();
/* 307 */     gridBagConstraints.gridx = 0;
/* 308 */     gridBagConstraints.gridy = 3;
/* 309 */     gridBagConstraints.fill = 2;
/* 310 */     gridBagConstraints.weightx = 1.0D;
/* 311 */     gridBagConstraints.insets = new Insets(0, 24, 0, 0);
/* 312 */     this.jPanelResourceFile.add(this.jTextFieldFile, gridBagConstraints);
/*     */     
/* 314 */     this.jButton1.setText("Browse");
/* 315 */     this.jButton1.setMinimumSize(new Dimension(73, 19));
/* 316 */     this.jButton1.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 318 */         ObjectPropertiesDialog.this.jButton1ActionPerformed(evt);
/*     */       }
/* 320 */     });
/* 321 */     gridBagConstraints = new GridBagConstraints();
/* 322 */     gridBagConstraints.gridy = 3;
/* 323 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/* 324 */     this.jPanelResourceFile.add(this.jButton1, gridBagConstraints);
/*     */     
/* 326 */     this.jSeparator4.setMinimumSize(new Dimension(0, 2));
/* 327 */     gridBagConstraints = new GridBagConstraints();
/* 328 */     gridBagConstraints.gridx = 0;
/* 329 */     gridBagConstraints.gridwidth = 3;
/* 330 */     gridBagConstraints.fill = 2;
/* 331 */     gridBagConstraints.anchor = 11;
/* 332 */     gridBagConstraints.weightx = 1.0D;
/* 333 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 334 */     this.jPanelResourceFile.add(this.jSeparator4, gridBagConstraints);
/*     */     
/* 336 */     this.jButton2.setText("Export file");
/* 337 */     this.jButton2.setMinimumSize(new Dimension(73, 19));
/* 338 */     this.jButton2.setPreferredSize(new Dimension(100, 23));
/* 339 */     this.jButton2.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 341 */         ObjectPropertiesDialog.this.jButton1ActionPerformed1(evt);
/*     */       }
/* 343 */     });
/* 344 */     gridBagConstraints = new GridBagConstraints();
/* 345 */     gridBagConstraints.gridx = 0;
/* 346 */     gridBagConstraints.anchor = 17;
/* 347 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 348 */     this.jPanelResourceFile.add(this.jButton2, gridBagConstraints);
/* 349 */     gridBagConstraints = new GridBagConstraints();
/* 350 */     gridBagConstraints.gridx = 0;
/* 351 */     gridBagConstraints.weighty = 1.0D;
/* 352 */     this.jPanelResourceFile.add(this.jPanelSpacer, gridBagConstraints);
/*     */     
/* 354 */     this.jTabbedPane1.addTab("Resource", this.jPanelResourceFile);
/*     */     
/* 356 */     this.jPanelDescriptor.setLayout(new GridBagLayout());
/*     */     
/* 358 */     this.jTextPaneDescriptor.setEditable(false);
/* 359 */     this.jScrollPane2.setViewportView(this.jTextPaneDescriptor);
/*     */     
/* 361 */     gridBagConstraints = new GridBagConstraints();
/* 362 */     gridBagConstraints.fill = 1;
/* 363 */     gridBagConstraints.weightx = 1.0D;
/* 364 */     gridBagConstraints.weighty = 1.0D;
/* 365 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 366 */     this.jPanelDescriptor.add(this.jScrollPane2, gridBagConstraints);
/*     */     
/* 368 */     this.jTabbedPane1.addTab("Descriptor", this.jPanelDescriptor);
/*     */     
/* 370 */     gridBagConstraints = new GridBagConstraints();
/* 371 */     gridBagConstraints.fill = 1;
/* 372 */     gridBagConstraints.weightx = 1.0D;
/* 373 */     gridBagConstraints.weighty = 1.0D;
/* 374 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 375 */     getContentPane().add(this.jTabbedPane1, gridBagConstraints);
/*     */     
/* 377 */     this.jPanel2.setMinimumSize(new Dimension(10, 30));
/* 378 */     this.jPanel2.setPreferredSize(new Dimension(10, 30));
/* 379 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 381 */     this.jButtonSave.setText("Save");
/* 382 */     this.jButtonSave.setEnabled(false);
/* 383 */     this.jButtonSave.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 385 */         ObjectPropertiesDialog.this.jButtonSaveActionPerformed(evt);
/*     */       }
/* 387 */     });
/* 388 */     gridBagConstraints = new GridBagConstraints();
/* 389 */     gridBagConstraints.anchor = 13;
/* 390 */     gridBagConstraints.weightx = 1.0D;
/* 391 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/* 392 */     this.jPanel2.add(this.jButtonSave, gridBagConstraints);
/*     */     
/* 394 */     this.jButtonClose.setText("Close");
/* 395 */     this.jButtonClose.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 397 */         ObjectPropertiesDialog.this.jButtonCloseActionPerformed(evt);
/*     */       }
/* 399 */     });
/* 400 */     this.jPanel2.add(this.jButtonClose, new GridBagConstraints());
/*     */     
/* 402 */     gridBagConstraints = new GridBagConstraints();
/* 403 */     gridBagConstraints.gridx = 0;
/* 404 */     gridBagConstraints.fill = 2;
/* 405 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 406 */     getContentPane().add(this.jPanel2, gridBagConstraints);
/*     */     
/* 408 */     pack();
/*     */   }
/*     */   
/*     */   private void jButton1ActionPerformed1(ActionEvent evt)
/*     */   {
/* 413 */     String fileName = "";
/* 414 */     JFileChooser jfc = new JFileChooser(MainFrame.getMainInstance().getCurrentDirectory());
/*     */     
/* 416 */     jfc.setDialogTitle(IRPlugin.getString("objectPropertiesDialog.pickAFile", "Pick a file...."));
/*     */     
/* 418 */     String resType = getResource().getDescriptor().getWsType();
/*     */     
/* 420 */     if (resType.equals("jrxml")) {
/* 421 */       jfc.setFileFilter(new FileFilter() {
/*     */         public boolean accept(File file) {
/* 423 */           String filename = file.getName();
/* 424 */           return (filename.toLowerCase().endsWith(".xml")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */         }
/*     */         
/* 427 */         public String getDescription() { return "JasperReports XML *.xml, *.jrxml";
/*     */         }
/*     */       });
/* 430 */     } else if (resType.equals("font")) {
/* 431 */       jfc.setFileFilter(new FileFilter() {
/*     */         public boolean accept(File file) {
/* 433 */           String filename = file.getName();
/* 434 */           return (filename.toLowerCase().endsWith(".ttf")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */         }
/*     */         
/* 437 */         public String getDescription() { return "TrueType font *.TTF";
/*     */         }
/*     */       });
/* 440 */     } else if (resType.equals("prop")) {
/* 441 */       jfc.setFileFilter(new FileFilter() {
/*     */         public boolean accept(File file) {
/* 443 */           String filename = file.getName();
/* 444 */           return (filename.toLowerCase().endsWith(".properties")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */         }
/*     */         
/* 447 */         public String getDescription() { return "ResourceBundle *.properties";
/*     */         }
/*     */       });
/* 450 */     } else if (resType.equals("jar")) {
/* 451 */       jfc.setFileFilter(new FileFilter() {
/*     */         public boolean accept(File file) {
/* 453 */           String filename = file.getName();
/* 454 */           return (filename.toLowerCase().endsWith(".jar")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */         }
/*     */         
/* 457 */         public String getDescription() { return "Java Archive *.jar"; }
/*     */       });
/*     */     }
/*     */     
/*     */ 
/* 462 */     jfc.setMultiSelectionEnabled(false);
/* 463 */     jfc.setDialogType(1);
/* 464 */     if (jfc.showOpenDialog(this) == 0) {
/*     */       try
/*     */       {
/* 467 */         copyFile(new File(((RepositoryFile)getResource()).getFile()), jfc.getSelectedFile());
/*     */       }
/*     */       catch (Exception ex)
/*     */       {
/* 471 */         JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 472 */         ex.printStackTrace();
/* 473 */         return;
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private void jCheckBoxChangeFileStateChanged(ChangeEvent evt) {}
/*     */   
/*     */ 
/*     */   private void jCheckBoxChangeFileActionPerformed(ActionEvent evt)
/*     */   {
/* 485 */     updateSaveButton();
/*     */   }
/*     */   
/*     */   private void jButton1ActionPerformed(ActionEvent evt) {
/* 489 */     String fileName = "";
/* 490 */     JFileChooser jfc = new JFileChooser(MainFrame.getMainInstance().getCurrentDirectory());
/*     */     
/* 492 */     jfc.setDialogTitle("Pick a file....");
/*     */     
/* 494 */     String resType = getResource().getDescriptor().getWsType();
/*     */     
/* 496 */     if (resType.equals("jrxml")) {
/* 497 */       jfc.setFileFilter(new FileFilter() {
/*     */         public boolean accept(File file) {
/* 499 */           String filename = file.getName();
/* 500 */           return (filename.toLowerCase().endsWith(".xml")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */         }
/*     */         
/* 503 */         public String getDescription() { return "JasperReports XML *.xml, *.jrxml";
/*     */         }
/*     */       });
/* 506 */     } else if (resType.equals("font")) {
/* 507 */       jfc.setFileFilter(new FileFilter() {
/*     */         public boolean accept(File file) {
/* 509 */           String filename = file.getName();
/* 510 */           return (filename.toLowerCase().endsWith(".ttf")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */         }
/*     */         
/* 513 */         public String getDescription() { return "TrueType font *.TTF";
/*     */         }
/*     */       });
/* 516 */     } else if (resType.equals("prop")) {
/* 517 */       jfc.setFileFilter(new FileFilter() {
/*     */         public boolean accept(File file) {
/* 519 */           String filename = file.getName();
/* 520 */           return (filename.toLowerCase().endsWith(".properties")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */         }
/*     */         
/* 523 */         public String getDescription() { return "ResourceBundle *.properties";
/*     */         }
/*     */       });
/* 526 */     } else if (resType.equals("jar")) {
/* 527 */       jfc.setFileFilter(new FileFilter() {
/*     */         public boolean accept(File file) {
/* 529 */           String filename = file.getName();
/* 530 */           return (filename.toLowerCase().endsWith(".jar")) || (file.isDirectory()) || (filename.toLowerCase().endsWith(".jrxml"));
/*     */         }
/*     */         
/* 533 */         public String getDescription() { return "Java Archive *.jar"; }
/*     */       });
/*     */     }
/*     */     
/*     */ 
/* 538 */     jfc.setMultiSelectionEnabled(false);
/* 539 */     jfc.setDialogType(0);
/* 540 */     if (jfc.showOpenDialog(this) == 0)
/*     */     {
/* 542 */       this.jTextFieldFile.setText(jfc.getSelectedFile() + "");
/* 543 */       updateSaveButton();
/*     */       
/* 545 */       if (getResource().getDescriptor().getWsType().equals("img")) {
/*     */         try
/*     */         {
/* 548 */           ImageIcon ii = new ImageIcon(jfc.getSelectedFile() + "");
/* 549 */           this.jLabelPreview.setText(ii.getIconWidth() + "x" + ii.getIconHeight());
/* 550 */           doLayout();
/* 551 */           ii.setImage(resampleImage(ii.getImage(), this.jLabelPreview.getWidth(), Math.max(1, this.jLabelPreview.getHeight() - 20)));
/* 552 */           this.jLabelPreview.setIcon(ii);
/*     */         }
/*     */         catch (Exception ex)
/*     */         {
/* 556 */           this.jLabelPreview.setText(" ");
/* 557 */           this.jLabelPreview.setIcon(null);
/*     */         }
/*     */       }
/*     */     }
/*     */     
/* 562 */     this.jCheckBoxChangeFile.setSelected(true);
/*     */   }
/*     */   
/*     */   private void formWindowClosing(WindowEvent evt)
/*     */   {
/* 567 */     jButtonCloseActionPerformed(null);
/*     */   }
/*     */   
/*     */   private void jButtonCloseActionPerformed(ActionEvent evt)
/*     */   {
/* 572 */     if (this.jButtonSave.isEnabled())
/*     */     {
/* 574 */       if (JOptionPane.showConfirmDialog(this, IRPlugin.getString("objectPropertiesDialog.message.resourceChanged", "The resource was changed.\n\nDo you want save the changes?")) == 0)
/*     */       {
/* 576 */         jButtonSaveActionPerformed(null);
/*     */         
/* 578 */         if (this.jButtonSave.isEnabled()) return;
/*     */       }
/*     */     }
/* 581 */     setVisible(false);
/* 582 */     dispose();
/*     */   }
/*     */   
/*     */   private void jButtonSaveActionPerformed(ActionEvent evt)
/*     */   {
/* 587 */     File newFile = null;
/* 588 */     if (this.jCheckBoxChangeFile.isSelected())
/*     */     {
/* 590 */       newFile = new File(this.jTextFieldFile.getText());
/* 591 */       if (!newFile.exists())
/*     */       {
/* 593 */         JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("objectPropertiesDialog.message.fileNotFound", "The file {0}\ndoes not exist.\n\nPlease provide a correct file name.", new Object[] { this.jTextFieldFile.getText() }));
/*     */         
/* 595 */         return;
/*     */       }
/*     */     }
/*     */     
/* 599 */     ResourceDescriptor rd = new ResourceDescriptor();
/* 600 */     rd.setWsType(getResource().getDescriptor().getWsType());
/* 601 */     rd.setName(getResource().getDescriptor().getName());
/* 602 */     rd.setUriString(getResource().getDescriptor().getUriString());
/* 603 */     rd.setCreationDate(getResource().getDescriptor().getCreationDate());
/* 604 */     rd.setConnectionUrl(getResource().getDescriptor().getConnectionUrl());
/* 605 */     rd.setDataSourceType(getResource().getDescriptor().getDataSourceType());
/* 606 */     rd.setDescription(this.jEditorPaneDescription.getText().trim());
/* 607 */     rd.setDriverClass(getResource().getDescriptor().getDriverClass());
/* 608 */     rd.setHasData(newFile != null);
/* 609 */     rd.setIsNew(false);
/* 610 */     rd.setIsReference(getResource().getDescriptor().getIsReference());
/* 611 */     rd.setJndiName(getResource().getDescriptor().getJndiName());
/* 612 */     rd.setLabel(this.jTextFieldLabel.getText().trim());
/* 613 */     rd.setParentFolder(getResource().getDescriptor().getParentFolder());
/* 614 */     rd.setPassword(getResource().getDescriptor().getPassword());
/* 615 */     rd.setReferenceUri(getResource().getDescriptor().getReferenceUri());
/* 616 */     rd.setResourceType(getResource().getDescriptor().getResourceType());
/* 617 */     rd.setUsername(getResource().getDescriptor().getUsername());
/* 618 */     rd.setVersion(getResource().getDescriptor().getVersion());
/*     */     
/*     */     try
/*     */     {
/* 622 */       validate(rd);
/* 623 */       ResourceDescriptor newrd = getResource().getServer().getWSClient().addOrModifyResource(rd, newFile);
/* 624 */       setDialogResult(0);
/* 625 */       this.jButtonSave.setEnabled(false);
/* 626 */       getResource().setDescriptor(newrd);
/*     */       
/* 628 */       if (this.jCheckBoxChangeFile.isSelected())
/*     */       {
/* 630 */         if ((getResource() instanceof RepositoryFile))
/*     */         {
/* 632 */           RepositoryFile fileRep = (RepositoryFile)getResource();
/* 633 */           if (getResource().getDescriptor().getWsType().equals("img"))
/*     */           {
/*     */             try
/*     */             {
/* 637 */               String s = fileRep.getFile();
/* 638 */               fileRep.resetFileCache();
/* 639 */               copyFile(new File(s), newFile);
/*     */               
/*     */ 
/* 642 */               RepositoryExplorer rexplorer = IRPlugin.getMainInstance().getRepositoryExplorer();
/*     */               
/* 644 */               List list = rexplorer.getOpenedReportSources(getResource().getServer());
/* 645 */               for (int i = 0; i < list.size(); i++)
/*     */               {
/* 647 */                 RepositoryJrxmlFile jrxmlRepo = (RepositoryJrxmlFile)list.get(i);
/*     */                 
/* 649 */                 JReportFrame jrf = jrxmlRepo.getReportFrame();
/* 650 */                 boolean updateFrame = false;
/* 651 */                 if (jrf != null)
/*     */                 {
/* 653 */                   System.out.println(jrf);
/* 654 */                   Vector elements = jrf.getReport().getElements();
/* 655 */                   Enumeration enumElements = elements.elements();
/* 656 */                   while (enumElements.hasMoreElements())
/*     */                   {
/* 658 */                     it.businesslogic.ireport.ReportElement re = (it.businesslogic.ireport.ReportElement)enumElements.nextElement();
/* 659 */                     if ((re instanceof ImageReportElement))
/*     */                     {
/* 661 */                       ImageReportElement ire = (ImageReportElement)re;
/* 662 */                       String expression = ire.getImageExpression();
/* 663 */                       expression = Misc.string_replace("\\", "\\\\", expression);
/* 664 */                       expression = Misc.string_replace("", "\"", expression);
/*     */                       
/* 666 */                       if (((ire.getImageClass().length() == 0) || (ire.getImageClass().equals("java.lang.String"))) && (expression.toLowerCase().startsWith("repo:")) && (expression.substring(5).equals(newrd.getUriString())))
/*     */                       {
/*     */ 
/* 669 */                         ire.setImg(new ImageIcon(s).getImage());
/* 670 */                         System.out.println(newrd.getUriString() + " --> " + expression.substring(5) + " " + s);
/*     */                         
/* 672 */                         updateFrame = true;
/*     */                       }
/*     */                     }
/*     */                   }
/* 676 */                   if (updateFrame)
/*     */                   {
/* 678 */                     jrf.getReportPanel().repaint();
/*     */                   }
/*     */                   
/*     */                 }
/*     */                 
/*     */               }
/*     */               
/*     */ 
/*     */             }
/*     */             catch (Exception ex) {}
/*     */           }
/*     */           else {
/* 690 */             fileRep.resetFileCache();
/*     */           }
/*     */           
/*     */         }
/*     */       }
/*     */     }
/*     */     catch (Exception ex)
/*     */     {
/* 698 */       JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 699 */       ex.printStackTrace();
/* 700 */       return;
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void setResource(RepositoryFolder resource)
/*     */   {
/* 708 */     this.resource = resource;
/* 709 */     ResourceDescriptor resourceDescriptor = resource.getDescriptor();
/* 710 */     this.jTextFieldName.setText(resourceDescriptor.getName());
/* 711 */     this.jTextFieldLabel.setText(resourceDescriptor.getLabel());
/* 712 */     this.jTextFieldUriString.setText(resourceDescriptor.getUriString());
/* 713 */     this.jEditorPaneDescription.setText(resourceDescriptor.getDescription());
/*     */     
/* 715 */     this.jCheckBoxChangeFile.setSelected(false);
/*     */     
/* 717 */     this.jTabbedPane1.removeAll();
/*     */     
/* 719 */     this.jTabbedPane1.add("General", this.jPanel1);
/* 720 */     this.jTabbedPane1.setTitleAt(0, IRPlugin.getString("objectPropertiesDialog.tabGeneral", "General"));
/*     */     
/*     */ 
/* 723 */     if ((resourceDescriptor.getWsType().equals("img")) || (resourceDescriptor.getWsType().equals("jrxml")) || (resourceDescriptor.getWsType().equals("jar")) || (resourceDescriptor.getWsType().equals("font")) || (resourceDescriptor.getWsType().equals("prop")))
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 729 */       this.jTabbedPane1.add("Resource", this.jPanelResourceFile);
/* 730 */       this.jTabbedPane1.setTitleAt(1, IRPlugin.getString("objectPropertiesDialog.tabResource", "Resource"));
/*     */     }
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 740 */     if (getResource().getDescriptor().getWsType().equals("img"))
/*     */     {
/*     */       try {
/* 743 */         if ((getResource() instanceof RepositoryFile))
/*     */         {
/* 745 */           RepositoryFile res = (RepositoryFile)getResource();
/* 746 */           String s = res.getFile();
/* 747 */           ImageIcon ii = new ImageIcon(s);
/* 748 */           this.jLabelPreview.setText(ii.getIconWidth() + "x" + ii.getIconHeight());
/* 749 */           ii.setImage(resampleImage(ii.getImage(), 300, 115));
/* 750 */           this.jLabelPreview.setIcon(ii);
/*     */         }
/*     */       }
/*     */       catch (Exception ex) {
/* 754 */         this.jLabelPreview.setText(" ");
/* 755 */         this.jLabelPreview.setIcon(null);
/*     */       }
/*     */     }
/* 758 */     else if (getResource().getDescriptor().getWsType().equals("font"))
/*     */     {
/*     */       try {
/* 761 */         if ((getResource() instanceof RepositoryFile))
/*     */         {
/* 763 */           RepositoryFile res = (RepositoryFile)getResource();
/* 764 */           String s = res.getFile();
/* 765 */           java.awt.Font f = it.businesslogic.ireport.FontListLoader.loadFont(s);
/* 766 */           if (f != null)
/*     */           {
/* 768 */             this.jEditorPane1.setVisible(true);
/* 769 */             this.jLabelPreview.setVisible(false);
/*     */             
/* 771 */             String text = "";
/* 772 */             for (int dim = 1; dim <= 8; dim++)
/*     */             {
/* 774 */               text = text + "<font face=\"" + f.getName() + "\" size=\"" + dim + "\">" + IRPlugin.getString("objectPropertiesDialog.sampleFontText", "Nel mezzo del cammin di nostra vita...") + "<br></font>";
/*     */             }
/*     */             
/*     */ 
/*     */ 
/* 779 */             this.jEditorPane1.setText(text);
/*     */           }
/*     */           
/*     */         }
/*     */         
/*     */       }
/*     */       catch (Exception ex)
/*     */       {
/* 787 */         this.jLabelPreview.setText(" ");
/* 788 */         this.jLabelPreview.setIcon(null);
/*     */       }
/*     */     }
/*     */     else
/*     */     {
/* 793 */       this.jEditorPane1.setVisible(false);
/* 794 */       this.jLabelPreview.setVisible(false);
/* 795 */       this.jSeparator3.setVisible(false);
/* 796 */       this.jPanelSpacer.setVisible(true);
/*     */     }
/*     */     
/*     */ 
/* 800 */     this.jButtonSave.setEnabled(false);
/*     */   }
/*     */   
/*     */   public RepositoryFolder getResource() {
/* 804 */     return this.resource;
/*     */   }
/*     */   
/*     */   public int getDialogResult() {
/* 808 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */   public void setDialogResult(int dialogResult) {
/* 812 */     this.dialogResult = dialogResult;
/*     */   }
/*     */   
/*     */   public Image resampleImage(Image inImage, int maxX, int maxY)
/*     */   {
/* 817 */     double scale1 = maxY / inImage.getHeight(null);
/* 818 */     double scale2 = maxX / inImage.getWidth(null);
/* 819 */     double scale = scale1 < scale2 ? scale1 : scale2;
/*     */     
/* 821 */     int scaledW = (int)(scale * inImage.getWidth(null));
/* 822 */     int scaledH = (int)(scale * inImage.getHeight(null));
/* 823 */     return inImage.getScaledInstance(scaledW, scaledH, 4);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void validate(ResourceDescriptor dataType)
/*     */     throws Exception
/*     */   {
/* 833 */     ValidationUtils.validateName(dataType.getName());
/* 834 */     ValidationUtils.validateLabel(dataType.getLabel());
/* 835 */     ValidationUtils.validateDesc(dataType.getDescription());
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private JPanel jPanelDescriptor;
/*     */   
/*     */ 
/*     */   private JPanel jPanelResourceFile;
/*     */   
/*     */ 
/*     */   private JPanel jPanelSpacer;
/*     */   
/*     */   private JScrollPane jScrollPane1;
/*     */   
/*     */   private JScrollPane jScrollPane2;
/*     */   
/*     */   private JSeparator jSeparator1;
/*     */   
/*     */   private JSeparator jSeparator3;
/*     */   
/*     */   private JSeparator jSeparator4;
/*     */   
/*     */   private JTabbedPane jTabbedPane1;
/*     */   
/*     */   private JTextField jTextFieldFile;
/*     */   
/*     */   private JTextField jTextFieldLabel;
/*     */   
/*     */   private JTextField jTextFieldName;
/*     */   
/*     */   private JTextField jTextFieldUriString;
/*     */   
/*     */   private javax.swing.JTextPane jTextPaneDescriptor;
/*     */   
/*     */   public void copyFile(File in, File out)
/*     */     throws java.io.IOException
/*     */   {
/* 873 */     FileInputStream is = new FileInputStream(in);
/* 874 */     FileOutputStream os = new FileOutputStream(out);
/* 875 */     byte[] buffer = new byte['Ѐ'];
/* 876 */     int bCount = 0;
/* 877 */     while ((bCount = is.read(buffer)) > 0)
/*     */     {
/* 879 */       os.write(buffer, 0, bCount);
/*     */     }
/* 881 */     is.close();
/* 882 */     os.close();
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\ObjectPropertiesDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */