/*     */ package com.jaspersoft.jasperserver.api.engine.scheduling.domain.reportjobmodel;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.JasperServerAPI;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobCalendarTrigger;
/*     */ import java.util.Date;
/*     */ import java.util.SortedSet;
/*     */ import javax.xml.bind.annotation.XmlTransient;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @JasperServerAPI
/*     */ public class ReportJobCalendarTriggerModel
/*     */   extends ReportJobCalendarTrigger
/*     */ {
/*  52 */   private boolean isMinutesModified = false;
/*  53 */   private boolean isHoursModified = false;
/*  54 */   private boolean isDaysTypeModified = false;
/*  55 */   private boolean isMonthDaysModified = false;
/*  56 */   private boolean isMonthsModified = false;
/*  57 */   private boolean isWeekDaysModified = false;
/*  58 */   private boolean isStartDateModified = false;
/*  59 */   private boolean isStartTypeModified = false;
/*  60 */   private boolean isEndDateModified = false;
/*  61 */   private boolean isTimezoneModified = false;
/*  62 */   private boolean isCalendarNameModified = false;
/*  63 */   private boolean isMisfireInstructionModified = false;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMinutes(String minutes)
/*     */   {
/*  93 */     this.isMinutesModified = true;
/*  94 */     super.setMinutes(minutes);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setHours(String hours)
/*     */   {
/* 125 */     this.isHoursModified = true;
/* 126 */     super.setHours(hours);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setDaysTypeCode(Byte daysType)
/*     */   {
/* 138 */     this.isDaysTypeModified = true;
/* 139 */     super.setDaysTypeCode(daysType);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMonthDays(String monthDays)
/*     */   {
/* 171 */     this.isMonthDaysModified = true;
/* 172 */     super.setMonthDays(monthDays);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMonths(SortedSet months)
/*     */   {
/* 186 */     this.isMonthsModified = true;
/* 187 */     super.setMonths(months);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setWeekDays(SortedSet weekDays)
/*     */   {
/* 201 */     this.isWeekDaysModified = true;
/* 202 */     super.setWeekDays(weekDays);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   @XmlTransient
/*     */   public long getId()
/*     */   {
/* 213 */     return super.getId();
/*     */   }
/*     */   
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public void setId(long id) {
/* 220 */     super.setId(id);
/*     */   }
/*     */   
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   @XmlTransient
/*     */   public int getVersion()
/*     */   {
/* 229 */     return super.getVersion();
/*     */   }
/*     */   
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public void setVersion(int version)
/*     */   {
/* 237 */     super.setVersion(version);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setStartDate(Date startDate)
/*     */   {
/* 253 */     this.isStartDateModified = true;
/* 254 */     super.setStartDate(startDate);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setStartType(byte startType)
/*     */   {
/* 271 */     this.isStartTypeModified = true;
/* 272 */     super.setStartType(startType);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setEndDate(Date endDate)
/*     */   {
/* 286 */     this.isEndDateModified = true;
/* 287 */     super.setEndDate(endDate);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setTimezone(String timezone)
/*     */   {
/* 297 */     this.isTimezoneModified = true;
/* 298 */     super.setTimezone(timezone);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setCalendarName(String calendarName)
/*     */   {
/* 310 */     this.isCalendarNameModified = true;
/* 311 */     super.setCalendarName(calendarName);
/*     */   }
/*     */   
/*     */   public void setMisfireInstruction(Integer misfireInstruction)
/*     */   {
/* 316 */     this.isMisfireInstructionModified = true;
/* 317 */     super.setMisfireInstruction(misfireInstruction.intValue());
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isMinutesModified()
/*     */   {
/* 325 */     return this.isMinutesModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isHoursModified()
/*     */   {
/* 332 */     return this.isHoursModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isDaysTypeModified()
/*     */   {
/* 339 */     return this.isDaysTypeModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isMonthDaysModified()
/*     */   {
/* 346 */     return this.isMonthDaysModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isMonthsModified()
/*     */   {
/* 353 */     return this.isMonthsModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isWeekDaysModified()
/*     */   {
/* 360 */     return this.isWeekDaysModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isStartDateModified()
/*     */   {
/* 367 */     return this.isStartDateModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isStartTypeModified()
/*     */   {
/* 374 */     return this.isStartTypeModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isEndDateModified()
/*     */   {
/* 381 */     return this.isEndDateModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isTimezoneModified()
/*     */   {
/* 388 */     return this.isTimezoneModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 395 */   public boolean isCalendarNameModified() { return this.isCalendarNameModified; }
/*     */   
/* 397 */   public boolean isMisfireInstructionModified() { return this.isMisfireInstructionModified; }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isModified()
/*     */   {
/* 405 */     return (this.isDaysTypeModified) || (this.isEndDateModified) || (this.isHoursModified) || (this.isMinutesModified) || (this.isMonthDaysModified) || (this.isMonthsModified) || (this.isStartDateModified) || (this.isStartTypeModified) || (this.isTimezoneModified) || (this.isWeekDaysModified) || (this.isCalendarNameModified) || (this.isMisfireInstructionModified);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-api-engine-6.0.jar!\com\jaspersoft\jasperserver\api\engine\scheduling\domain\reportjobmodel\ReportJobCalendarTriggerModel.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */