/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryFolder;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.explorer.ResourceChooser;
/*     */ import com.jaspersoft.jasperserver.irplugin.wsclient.WSClient;
/*     */ import it.businesslogic.ireport.gui.MainFrame;
/*     */ import it.businesslogic.ireport.util.Misc;
/*     */ import java.awt.Color;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Font;
/*     */ import java.awt.Frame;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.ImageIcon;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JTabbedPane;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.JTree;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.event.DocumentListener;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ public class ResourceReferenceDialog
/*     */   extends JDialog
/*     */ {
/*  47 */   private int dialogResult = 2;
/*     */   
/*  49 */   private JServer server = null;
/*  50 */   private String parentFolder = null;
/*  51 */   private RepositoryFolder referenceResource = null;
/*  52 */   private ResourceDescriptor resourceReferenceDescriptor = null;
/*     */   
/*  54 */   private ResourceDescriptor newResourceDescriptor = null;
/*     */   private ButtonGroup buttonGroup1;
/*     */   private JButton jButton1;
/*     */   private JButton jButtonClose;
/*     */   private JButton jButtonOpenReferencedResource;
/*     */   
/*  60 */   public ResourceReferenceDialog(Frame parent, boolean modal) { super(parent, modal);
/*  61 */     initComponents();
/*     */     
/*  63 */     Misc.centerFrame(this);
/*  64 */     DocumentListener changesListener = new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  66 */         ResourceReferenceDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  69 */       public void insertUpdate(DocumentEvent evt) { ResourceReferenceDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  72 */         ResourceReferenceDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  75 */     };
/*  76 */     this.jTextFieldLabel.getDocument().addDocumentListener(changesListener);
/*  77 */     this.jTextFieldName.getDocument().addDocumentListener(changesListener);
/*  78 */     this.jTextFieldReferenceUri.getDocument().addDocumentListener(changesListener);
/*     */     
/*     */ 
/*  81 */     this.jTextFieldName.requestFocusInWindow();
/*  82 */     applyI18n(); }
/*     */   
/*     */   private JButton jButtonSave;
/*     */   private JEditorPane jEditorPaneDescription;
/*     */   
/*  87 */   public void applyI18n() { this.jButtonClose.setText(IRPlugin.getString("resourceReferenceDialog.buttonCancel", "Cancel"));
/*  88 */     this.jButtonSave.setText(IRPlugin.getString("resourceReferenceDialog.buttonCreateReference", "Create reference"));
/*  89 */     this.jLabel1.setText(IRPlugin.getString("resourceReferenceDialog.title", "Resource reference"));
/*  90 */     this.jLabelDescription.setText(IRPlugin.getString("resourceReferenceDialog.labelDescription", "Description"));
/*  91 */     this.jLabelLabel.setText(IRPlugin.getString("resourceReferenceDialog.labelLabel", "Label"));
/*  92 */     this.jLabelName.setText(IRPlugin.getString("resourceReferenceDialog.labelName", "Name"));
/*  93 */     this.jLabelUriString.setText(IRPlugin.getString("resourceReferenceDialog.labelParentFolder", "Parent folder"));
/*     */     
/*     */ 
/*  96 */     this.jButtonOpenReferencedResource.setText(IRPlugin.getString("resourceReferenceDialog.buttonOpenResource", "Open this resource"));
/*     */     
/*  98 */     this.jButton1.setText(IRPlugin.getString("resourceReferenceDialog.buttonBrowse", "Browse"));
/*  99 */     this.jLabelName1.setText(IRPlugin.getString("resourceReferenceDialog.labelResourceName", "Name"));
/* 100 */     this.jLabelName2.setText(IRPlugin.getString("resourceReferenceDialog.labelResourceLabel", "Label"));
/* 101 */     this.jLabelResourceFile.setText(IRPlugin.getString("resourceReferenceDialog.labelResourceFile", " Reference URI"));
/* 102 */     this.jLabelUriString1.setText(IRPlugin.getString("resourceReferenceDialog.labelResourceURI", "URI"));
/* 103 */     this.jLabelUriString2.setText(IRPlugin.getString("resourceReferenceDialog.labelResourceType", "Type"));
/*     */     
/* 105 */     this.jTabbedPane1.setTitleAt(0, IRPlugin.getString("resourceReferenceDialog.tabGeneral", "General"));
/* 106 */     this.jTabbedPane1.setTitleAt(1, IRPlugin.getString("resourceReferenceDialog.tabDetails", "Referenced resource details"));
/*     */   }
/*     */   
/*     */   private JLabel jLabel1;
/*     */   private JLabel jLabelDescription;
/*     */   private JLabel jLabelLabel;
/*     */   
/* 113 */   private void updateSaveButton() { if ((this.jTextFieldLabel.getText().length() > 0) && (this.jTextFieldName.getText().length() > 0) && (this.jTextFieldReferenceUri.getText().length() > 0))
/*     */     {
/*     */ 
/*     */ 
/* 117 */       this.jButtonSave.setEnabled(true);
/*     */     }
/*     */     else
/*     */     {
/* 121 */       this.jButtonSave.setEnabled(false); }
/*     */   }
/*     */   
/*     */   private JLabel jLabelName;
/*     */   private JLabel jLabelName1;
/*     */   private JLabel jLabelName2;
/*     */   private JLabel jLabelResourceFile;
/*     */   private JLabel jLabelUriString;
/*     */   private JLabel jLabelUriString1;
/*     */   private JLabel jLabelUriString2;
/*     */   private JPanel jPanel1;
/*     */   private JPanel jPanel2;
/*     */   
/* 134 */   private void initComponents() { this.buttonGroup1 = new ButtonGroup();
/* 135 */     this.jPanel1 = new JPanel();
/* 136 */     this.jLabel1 = new JLabel();
/* 137 */     this.jSeparator1 = new JSeparator();
/* 138 */     this.jTabbedPane1 = new JTabbedPane();
/* 139 */     this.jPanel2 = new JPanel();
/* 140 */     this.jLabelUriString = new JLabel();
/* 141 */     this.jTextFieldUriString = new JTextField();
/* 142 */     this.jLabelName = new JLabel();
/* 143 */     this.jTextFieldName = new JTextField();
/* 144 */     this.jSeparator2 = new JSeparator();
/* 145 */     this.jLabelLabel = new JLabel();
/* 146 */     this.jTextFieldLabel = new JTextField();
/* 147 */     this.jScrollPane1 = new JScrollPane();
/* 148 */     this.jEditorPaneDescription = new JEditorPane();
/* 149 */     this.jLabelDescription = new JLabel();
/* 150 */     this.jSeparator3 = new JSeparator();
/* 151 */     this.jLabelResourceFile = new JLabel();
/* 152 */     this.jTextFieldReferenceUri = new JTextField();
/* 153 */     this.jButton1 = new JButton();
/* 154 */     this.jPanel3 = new JPanel();
/* 155 */     this.jLabelUriString1 = new JLabel();
/* 156 */     this.jTextFieldResUriString = new JTextField();
/* 157 */     this.jLabelUriString2 = new JLabel();
/* 158 */     this.jTextFieldResType = new JTextField();
/* 159 */     this.jLabelName1 = new JLabel();
/* 160 */     this.jTextFieldResName = new JTextField();
/* 161 */     this.jLabelName2 = new JLabel();
/* 162 */     this.jTextFieldResLabel = new JTextField();
/* 163 */     this.jSeparator5 = new JSeparator();
/* 164 */     this.jButtonOpenReferencedResource = new JButton();
/* 165 */     this.jPanel4 = new JPanel();
/* 166 */     this.jButtonSave = new JButton();
/* 167 */     this.jButtonClose = new JButton();
/*     */     
/* 169 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/* 171 */     setDefaultCloseOperation(2);
/* 172 */     setTitle("DataSource");
/* 173 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 175 */     this.jPanel1.setBackground(new Color(255, 255, 255));
/* 176 */     this.jLabel1.setFont(new Font("Dialog", 1, 12));
/* 177 */     this.jLabel1.setIcon(new ImageIcon(getClass().getResource("/com/jaspersoft/jasperserver/irplugin/res/datasource_new.png")));
/* 178 */     this.jLabel1.setText("Resource reference");
/* 179 */     this.jLabel1.setVerticalAlignment(3);
/* 180 */     this.jLabel1.setVerticalTextPosition(3);
/* 181 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 182 */     gridBagConstraints.fill = 1;
/* 183 */     gridBagConstraints.weightx = 1.0D;
/* 184 */     gridBagConstraints.weighty = 1.0D;
/* 185 */     this.jPanel1.add(this.jLabel1, gridBagConstraints);
/*     */     
/* 187 */     gridBagConstraints = new GridBagConstraints();
/* 188 */     gridBagConstraints.fill = 2;
/* 189 */     getContentPane().add(this.jPanel1, gridBagConstraints);
/*     */     
/* 191 */     this.jSeparator1.setMinimumSize(new Dimension(2, 2));
/* 192 */     this.jSeparator1.setPreferredSize(new Dimension(2, 2));
/* 193 */     gridBagConstraints = new GridBagConstraints();
/* 194 */     gridBagConstraints.gridx = 0;
/* 195 */     gridBagConstraints.fill = 2;
/* 196 */     gridBagConstraints.weightx = 1.0D;
/* 197 */     getContentPane().add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 199 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 201 */     this.jPanel2.setPreferredSize(new Dimension(400, 185));
/* 202 */     this.jLabelUriString.setText("Parent folder");
/* 203 */     gridBagConstraints = new GridBagConstraints();
/* 204 */     gridBagConstraints.gridx = 0;
/* 205 */     gridBagConstraints.fill = 2;
/* 206 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 207 */     this.jPanel2.add(this.jLabelUriString, gridBagConstraints);
/*     */     
/* 209 */     this.jTextFieldUriString.setEditable(false);
/* 210 */     this.jTextFieldUriString.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 211 */     this.jTextFieldUriString.setOpaque(false);
/* 212 */     gridBagConstraints = new GridBagConstraints();
/* 213 */     gridBagConstraints.gridx = 1;
/* 214 */     gridBagConstraints.gridwidth = 2;
/* 215 */     gridBagConstraints.fill = 2;
/* 216 */     gridBagConstraints.weightx = 1.0D;
/* 217 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 218 */     this.jPanel2.add(this.jTextFieldUriString, gridBagConstraints);
/*     */     
/* 220 */     this.jLabelName.setText("Name");
/* 221 */     gridBagConstraints = new GridBagConstraints();
/* 222 */     gridBagConstraints.gridx = 0;
/* 223 */     gridBagConstraints.fill = 2;
/* 224 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 225 */     this.jPanel2.add(this.jLabelName, gridBagConstraints);
/*     */     
/* 227 */     gridBagConstraints = new GridBagConstraints();
/* 228 */     gridBagConstraints.gridx = 1;
/* 229 */     gridBagConstraints.gridwidth = 2;
/* 230 */     gridBagConstraints.fill = 2;
/* 231 */     gridBagConstraints.weightx = 1.0D;
/* 232 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 233 */     this.jPanel2.add(this.jTextFieldName, gridBagConstraints);
/*     */     
/* 235 */     this.jSeparator2.setMinimumSize(new Dimension(0, 2));
/* 236 */     gridBagConstraints = new GridBagConstraints();
/* 237 */     gridBagConstraints.gridx = 0;
/* 238 */     gridBagConstraints.gridwidth = 3;
/* 239 */     gridBagConstraints.fill = 2;
/* 240 */     gridBagConstraints.weightx = 1.0D;
/* 241 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 242 */     this.jPanel2.add(this.jSeparator2, gridBagConstraints);
/*     */     
/* 244 */     this.jLabelLabel.setText("Label");
/* 245 */     gridBagConstraints = new GridBagConstraints();
/* 246 */     gridBagConstraints.gridx = 0;
/* 247 */     gridBagConstraints.fill = 2;
/* 248 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 249 */     this.jPanel2.add(this.jLabelLabel, gridBagConstraints);
/*     */     
/* 251 */     gridBagConstraints = new GridBagConstraints();
/* 252 */     gridBagConstraints.gridx = 1;
/* 253 */     gridBagConstraints.gridwidth = 2;
/* 254 */     gridBagConstraints.fill = 2;
/* 255 */     gridBagConstraints.weightx = 1.0D;
/* 256 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 257 */     this.jPanel2.add(this.jTextFieldLabel, gridBagConstraints);
/*     */     
/* 259 */     this.jScrollPane1.setViewportView(this.jEditorPaneDescription);
/*     */     
/* 261 */     gridBagConstraints = new GridBagConstraints();
/* 262 */     gridBagConstraints.gridx = 1;
/* 263 */     gridBagConstraints.gridwidth = 2;
/* 264 */     gridBagConstraints.fill = 1;
/* 265 */     gridBagConstraints.weightx = 1.0D;
/* 266 */     gridBagConstraints.weighty = 1.0D;
/* 267 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 268 */     this.jPanel2.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 270 */     this.jLabelDescription.setText("Description");
/* 271 */     gridBagConstraints = new GridBagConstraints();
/* 272 */     gridBagConstraints.gridx = 0;
/* 273 */     gridBagConstraints.fill = 2;
/* 274 */     gridBagConstraints.anchor = 11;
/* 275 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 276 */     this.jPanel2.add(this.jLabelDescription, gridBagConstraints);
/*     */     
/* 278 */     this.jSeparator3.setMinimumSize(new Dimension(0, 2));
/* 279 */     gridBagConstraints = new GridBagConstraints();
/* 280 */     gridBagConstraints.gridx = 0;
/* 281 */     gridBagConstraints.gridwidth = 3;
/* 282 */     gridBagConstraints.fill = 2;
/* 283 */     gridBagConstraints.weightx = 1.0D;
/* 284 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 285 */     this.jPanel2.add(this.jSeparator3, gridBagConstraints);
/*     */     
/* 287 */     this.jLabelResourceFile.setText(" Reference URI");
/* 288 */     gridBagConstraints = new GridBagConstraints();
/* 289 */     gridBagConstraints.gridx = 0;
/* 290 */     gridBagConstraints.fill = 2;
/* 291 */     gridBagConstraints.insets = new Insets(0, 4, 8, 4);
/* 292 */     this.jPanel2.add(this.jLabelResourceFile, gridBagConstraints);
/*     */     
/* 294 */     gridBagConstraints = new GridBagConstraints();
/* 295 */     gridBagConstraints.gridx = 1;
/* 296 */     gridBagConstraints.fill = 2;
/* 297 */     gridBagConstraints.weightx = 1.0D;
/* 298 */     gridBagConstraints.insets = new Insets(0, 4, 8, 4);
/* 299 */     this.jPanel2.add(this.jTextFieldReferenceUri, gridBagConstraints);
/*     */     
/* 301 */     this.jButton1.setText("Browse");
/* 302 */     this.jButton1.setMinimumSize(new Dimension(73, 19));
/* 303 */     this.jButton1.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 305 */         ResourceReferenceDialog.this.jButton1ActionPerformed(evt);
/*     */       }
/*     */       
/* 308 */     });
/* 309 */     gridBagConstraints = new GridBagConstraints();
/* 310 */     gridBagConstraints.gridx = 2;
/* 311 */     gridBagConstraints.insets = new Insets(0, 0, 8, 4);
/* 312 */     this.jPanel2.add(this.jButton1, gridBagConstraints);
/*     */     
/* 314 */     this.jTabbedPane1.addTab("General", this.jPanel2);
/*     */     
/* 316 */     this.jPanel3.setLayout(new GridBagLayout());
/*     */     
/* 318 */     this.jLabelUriString1.setText("URI");
/* 319 */     gridBagConstraints = new GridBagConstraints();
/* 320 */     gridBagConstraints.gridx = 0;
/* 321 */     gridBagConstraints.fill = 2;
/* 322 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 323 */     this.jPanel3.add(this.jLabelUriString1, gridBagConstraints);
/*     */     
/* 325 */     this.jTextFieldResUriString.setEditable(false);
/* 326 */     this.jTextFieldResUriString.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 327 */     this.jTextFieldResUriString.setOpaque(false);
/* 328 */     gridBagConstraints = new GridBagConstraints();
/* 329 */     gridBagConstraints.gridx = 1;
/* 330 */     gridBagConstraints.gridwidth = 2;
/* 331 */     gridBagConstraints.fill = 2;
/* 332 */     gridBagConstraints.weightx = 1.0D;
/* 333 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 334 */     this.jPanel3.add(this.jTextFieldResUriString, gridBagConstraints);
/*     */     
/* 336 */     this.jLabelUriString2.setText("Type");
/* 337 */     gridBagConstraints = new GridBagConstraints();
/* 338 */     gridBagConstraints.gridx = 0;
/* 339 */     gridBagConstraints.fill = 2;
/* 340 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 341 */     this.jPanel3.add(this.jLabelUriString2, gridBagConstraints);
/*     */     
/* 343 */     this.jTextFieldResType.setEditable(false);
/* 344 */     this.jTextFieldResType.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 345 */     this.jTextFieldResType.setOpaque(false);
/* 346 */     gridBagConstraints = new GridBagConstraints();
/* 347 */     gridBagConstraints.gridx = 1;
/* 348 */     gridBagConstraints.gridwidth = 2;
/* 349 */     gridBagConstraints.fill = 2;
/* 350 */     gridBagConstraints.weightx = 1.0D;
/* 351 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 352 */     this.jPanel3.add(this.jTextFieldResType, gridBagConstraints);
/*     */     
/* 354 */     this.jLabelName1.setText("Name");
/* 355 */     gridBagConstraints = new GridBagConstraints();
/* 356 */     gridBagConstraints.gridx = 0;
/* 357 */     gridBagConstraints.fill = 2;
/* 358 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 359 */     this.jPanel3.add(this.jLabelName1, gridBagConstraints);
/*     */     
/* 361 */     this.jTextFieldResName.setEditable(false);
/* 362 */     this.jTextFieldResName.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 363 */     this.jTextFieldResName.setOpaque(false);
/* 364 */     gridBagConstraints = new GridBagConstraints();
/* 365 */     gridBagConstraints.gridx = 1;
/* 366 */     gridBagConstraints.gridwidth = 2;
/* 367 */     gridBagConstraints.fill = 2;
/* 368 */     gridBagConstraints.weightx = 1.0D;
/* 369 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 370 */     this.jPanel3.add(this.jTextFieldResName, gridBagConstraints);
/*     */     
/* 372 */     this.jLabelName2.setText("Label");
/* 373 */     gridBagConstraints = new GridBagConstraints();
/* 374 */     gridBagConstraints.gridx = 0;
/* 375 */     gridBagConstraints.fill = 2;
/* 376 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 377 */     this.jPanel3.add(this.jLabelName2, gridBagConstraints);
/*     */     
/* 379 */     this.jTextFieldResLabel.setEditable(false);
/* 380 */     this.jTextFieldResLabel.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 381 */     this.jTextFieldResLabel.setOpaque(false);
/* 382 */     gridBagConstraints = new GridBagConstraints();
/* 383 */     gridBagConstraints.gridx = 1;
/* 384 */     gridBagConstraints.gridwidth = 2;
/* 385 */     gridBagConstraints.fill = 2;
/* 386 */     gridBagConstraints.weightx = 1.0D;
/* 387 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 388 */     this.jPanel3.add(this.jTextFieldResLabel, gridBagConstraints);
/*     */     
/* 390 */     this.jSeparator5.setMinimumSize(new Dimension(0, 2));
/* 391 */     gridBagConstraints = new GridBagConstraints();
/* 392 */     gridBagConstraints.gridx = 0;
/* 393 */     gridBagConstraints.gridwidth = 3;
/* 394 */     gridBagConstraints.fill = 2;
/* 395 */     gridBagConstraints.anchor = 11;
/* 396 */     gridBagConstraints.weightx = 1.0D;
/* 397 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 398 */     this.jPanel3.add(this.jSeparator5, gridBagConstraints);
/*     */     
/* 400 */     this.jButtonOpenReferencedResource.setText("Open this resource");
/* 401 */     this.jButtonOpenReferencedResource.setEnabled(false);
/* 402 */     this.jButtonOpenReferencedResource.setMinimumSize(new Dimension(73, 19));
/* 403 */     this.jButtonOpenReferencedResource.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 405 */         ResourceReferenceDialog.this.jButton1ActionPerformed1(evt);
/*     */       }
/*     */       
/* 408 */     });
/* 409 */     gridBagConstraints = new GridBagConstraints();
/* 410 */     gridBagConstraints.gridx = 0;
/* 411 */     gridBagConstraints.gridwidth = 3;
/* 412 */     gridBagConstraints.anchor = 18;
/* 413 */     gridBagConstraints.weightx = 1.0D;
/* 414 */     gridBagConstraints.weighty = 1.0D;
/* 415 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 416 */     this.jPanel3.add(this.jButtonOpenReferencedResource, gridBagConstraints);
/*     */     
/* 418 */     this.jTabbedPane1.addTab("Referenced resource details", this.jPanel3);
/*     */     
/* 420 */     gridBagConstraints = new GridBagConstraints();
/* 421 */     gridBagConstraints.gridx = 0;
/* 422 */     gridBagConstraints.fill = 1;
/* 423 */     gridBagConstraints.weightx = 1.0D;
/* 424 */     gridBagConstraints.weighty = 1.0D;
/* 425 */     getContentPane().add(this.jTabbedPane1, gridBagConstraints);
/*     */     
/* 427 */     this.jPanel4.setLayout(new GridBagLayout());
/*     */     
/* 429 */     this.jPanel4.setMinimumSize(new Dimension(10, 30));
/* 430 */     this.jPanel4.setPreferredSize(new Dimension(10, 30));
/* 431 */     this.jButtonSave.setText("Create reference");
/* 432 */     this.jButtonSave.setEnabled(false);
/* 433 */     this.jButtonSave.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 435 */         ResourceReferenceDialog.this.jButtonSaveActionPerformed(evt);
/*     */       }
/*     */       
/* 438 */     });
/* 439 */     gridBagConstraints = new GridBagConstraints();
/* 440 */     gridBagConstraints.anchor = 13;
/* 441 */     gridBagConstraints.weightx = 1.0D;
/* 442 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/* 443 */     this.jPanel4.add(this.jButtonSave, gridBagConstraints);
/*     */     
/* 445 */     this.jButtonClose.setText("Cancel");
/* 446 */     this.jButtonClose.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 448 */         ResourceReferenceDialog.this.jButtonCloseActionPerformed(evt);
/*     */       }
/*     */       
/* 451 */     });
/* 452 */     this.jPanel4.add(this.jButtonClose, new GridBagConstraints());
/*     */     
/* 454 */     gridBagConstraints = new GridBagConstraints();
/* 455 */     gridBagConstraints.gridx = 0;
/* 456 */     gridBagConstraints.fill = 2;
/* 457 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 458 */     getContentPane().add(this.jPanel4, gridBagConstraints);
/*     */     
/* 460 */     pack();
/*     */   }
/*     */   
/*     */   private void jButton1ActionPerformed1(ActionEvent evt)
/*     */   {
/* 465 */     if (this.resourceReferenceDescriptor != null)
/*     */     {
/*     */       try
/*     */       {
/* 469 */         RepositoryFolder rf = RepositoryExplorer.createRepositoryObject(this.server, this.resourceReferenceDescriptor);
/*     */         
/* 471 */         ObjectPropertiesDialog opd = new ObjectPropertiesDialog(MainFrame.getMainInstance(), true);
/* 472 */         opd.setResource(rf);
/* 473 */         opd.setVisible(true);
/* 474 */         if (opd.getDialogResult() == 0)
/*     */         {
/* 476 */           updateReferenceDescriptor();
/* 477 */           IRPlugin.getMainInstance().getRepositoryExplorer().getTreeRepository().updateUI();
/*     */         }
/*     */         
/*     */       }
/*     */       catch (Exception ex)
/*     */       {
/* 483 */         JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 484 */         ex.printStackTrace();
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButton1ActionPerformed(ActionEvent evt)
/*     */   {
/* 492 */     ResourceChooser rc = new ResourceChooser();
/* 493 */     rc.setServer(getServer());
/* 494 */     if (rc.showDialog(this, null) == 0)
/*     */     {
/* 496 */       ResourceDescriptor rd = rc.getSelectedDescriptor();
/*     */       
/* 498 */       this.jTextFieldReferenceUri.setText(rd.getUriString());
/* 499 */       updateSaveButton();
/*     */     }
/*     */   }
/*     */   
/*     */   private void jButtonCloseActionPerformed(ActionEvent evt)
/*     */   {
/* 505 */     setVisible(false);
/* 506 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonSaveActionPerformed(ActionEvent evt)
/*     */   {
/* 512 */     ResourceDescriptor rd = new ResourceDescriptor();
/*     */     
/* 514 */     rd.setDescription(this.jEditorPaneDescription.getText().trim());
/* 515 */     rd.setName(this.jTextFieldName.getText());
/* 516 */     String uri = getParentFolder();
/*     */     
/* 518 */     String parentUnit = uri;
/* 519 */     if (parentUnit.endsWith("/")) parentUnit = parentUnit.substring(0, parentUnit.length() - 1);
/* 520 */     if (!uri.endsWith("/")) { uri = uri + "/";
/*     */     }
/*     */     
/* 523 */     uri = uri + this.jTextFieldName.getText();
/* 524 */     rd.setUriString(uri);
/* 525 */     rd.setLabel(this.jTextFieldLabel.getText().trim());
/* 526 */     rd.setParentFolder(getParentFolder());
/* 527 */     rd.setIsNew(this.referenceResource == null);
/* 528 */     rd.setIsReference(true);
/*     */     
/* 530 */     rd.setWsType("reference");
/* 531 */     rd.setReferenceUri(this.jTextFieldReferenceUri.getText());
/*     */     try
/*     */     {
/* 534 */       validate(rd);
/* 535 */       this.newResourceDescriptor = getServer().getWSClient().modifyReportUnitResource(parentUnit, rd, null);
/* 536 */       setDialogResult(0);
/*     */       
/* 538 */       if (this.referenceResource != null)
/*     */       {
/* 540 */         this.referenceResource.setDescriptor(this.newResourceDescriptor);
/*     */       }
/*     */       
/* 543 */       setVisible(false);
/* 544 */       dispose();
/*     */     }
/*     */     catch (Exception ex) {
/* 547 */       JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 548 */       ex.printStackTrace();
/* 549 */       return;
/*     */     }
/*     */   }
/*     */   
/*     */   private JPanel jPanel3;
/*     */   private JPanel jPanel4;
/*     */   private JScrollPane jScrollPane1;
/*     */   private JSeparator jSeparator1;
/*     */   private JSeparator jSeparator2;
/*     */   private JSeparator jSeparator3;
/*     */   private JSeparator jSeparator5;
/* 560 */   public void validate(ResourceDescriptor dataType) throws Exception { ValidationUtils.validateName(dataType.getName());
/* 561 */     ValidationUtils.validateLabel(dataType.getLabel());
/* 562 */     ValidationUtils.validateDesc(dataType.getDescription());
/*     */   }
/*     */   
/*     */   public int getDialogResult() {
/* 566 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */   public void setDialogResult(int dialogResult) {
/* 570 */     this.dialogResult = dialogResult;
/*     */   }
/*     */   
/*     */   public JServer getServer()
/*     */   {
/* 575 */     return this.server;
/*     */   }
/*     */   
/*     */   public void setServer(JServer server) {
/* 579 */     this.server = server;
/*     */   }
/*     */   
/*     */   public String getParentFolder() {
/* 583 */     return this.parentFolder;
/*     */   }
/*     */   
/*     */   public void setParentFolder(String parentFolder) {
/* 587 */     this.parentFolder = parentFolder;
/* 588 */     this.jTextFieldUriString.setText(parentFolder);
/*     */   }
/*     */   
/*     */ 
/* 592 */   public ResourceDescriptor getNewResourceDescriptor() { return this.newResourceDescriptor; }
/*     */   
/*     */   private JTabbedPane jTabbedPane1;
/*     */   private JTextField jTextFieldLabel;
/*     */   private JTextField jTextFieldName;
/*     */   private JTextField jTextFieldReferenceUri;
/*     */   private JTextField jTextFieldResLabel;
/*     */   private JTextField jTextFieldResName;
/*     */   private JTextField jTextFieldResType;
/*     */   private JTextField jTextFieldResUriString;
/*     */   private JTextField jTextFieldUriString;
/*     */   public void setResource(RepositoryFolder referenceResource) {
/* 604 */     this.referenceResource = referenceResource;
/* 605 */     this.jTextFieldName.setText(referenceResource.getDescriptor().getName());
/* 606 */     this.jTextFieldName.setEditable(false);
/* 607 */     this.jTextFieldName.setOpaque(false);
/*     */     
/* 609 */     this.jTextFieldLabel.setText(referenceResource.getDescriptor().getLabel());
/* 610 */     this.jEditorPaneDescription.setText(referenceResource.getDescriptor().getDescription());
/* 611 */     this.jTextFieldReferenceUri.setText(referenceResource.getDescriptor().getReferenceUri());
/*     */     
/*     */ 
/* 614 */     this.resourceReferenceDescriptor = new ResourceDescriptor();
/* 615 */     this.resourceReferenceDescriptor.setUriString(referenceResource.getDescriptor().getReferenceUri());
/*     */     try
/*     */     {
/* 618 */       this.resourceReferenceDescriptor = getServer().getWSClient().get(this.resourceReferenceDescriptor, null);
/*     */       
/* 620 */       updateReferenceDescriptor();
/*     */     }
/*     */     catch (Exception ex)
/*     */     {
/* 624 */       this.jTextFieldResName.setText(IRPlugin.getFormattedString("resourceReferenceDialog.message.errorLoadingResource", "Error loading resource: {0}\n{1}", new Object[] { referenceResource.getDescriptor().getReferenceUri(), ex.getMessage() }));
/*     */       
/* 626 */       ex.printStackTrace();
/*     */     }
/*     */     
/* 629 */     this.jButtonSave.setText(IRPlugin.getString("resourceReferenceDialog.buttonModifyReference", "Modify reference"));
/*     */   }
/*     */   
/*     */   private void updateReferenceDescriptor()
/*     */   {
/* 634 */     if (this.resourceReferenceDescriptor != null)
/*     */     {
/* 636 */       this.jTextFieldResUriString.setText(this.resourceReferenceDescriptor.getUriString());
/* 637 */       this.jTextFieldResName.setText(this.resourceReferenceDescriptor.getName());
/* 638 */       this.jTextFieldResLabel.setText(this.resourceReferenceDescriptor.getLabel());
/* 639 */       this.jTextFieldResType.setText(this.resourceReferenceDescriptor.getWsType());
/* 640 */       this.jButtonOpenReferencedResource.setEnabled(true);
/*     */     }
/*     */     else
/*     */     {
/* 644 */       this.jTextFieldResUriString.setText("");
/* 645 */       this.jTextFieldResName.setText("");
/* 646 */       this.jTextFieldResLabel.setText("");
/* 647 */       this.jTextFieldResType.setText("");
/* 648 */       this.jButtonOpenReferencedResource.setEnabled(false);
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\ResourceReferenceDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */